# GET /reports/{report_id}

**Get a report**

Returns a report using its ID.

**Required permissions:** `report.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `report_id` | string | required | Paddle ID of the report entity. |

## Response (200)

- `data` (required) — Represents a report entity.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "rep_01hvgdhtthn1q35n79dgeqm3pv",
    "type": "transactions",
    "rows": 27,
    "status": "ready",
    "filters": [
      {
        "name": "collection_mode",
        "value": [
          "manual"
        ],
        "operator": null
      },
      {
        "name": "updated_at",
        "value": "2024-04-15",
        "operator": "lt"
      },
      {
        "name": "updated_at",
        "value": "2024-01-01",
        "operator": "gte"
      }
    ],
    "expires_at": "2024-04-29T08:21:44.970769Z",
    "created_at": "2024-04-15T08:21:36.209Z",
    "updated_at": "2024-04-15T08:21:44.970774Z"
  },
  "meta": {
    "request_id": "2a174f15-0ae6-4330-bf19-aae16a04d838"
  }
}
```
